### Method

# Fwupd Remote load_signature_bytes

since: 1.4.5

#### Declaration [src]

    gboolean
    fwupd_remote_load_signature_bytes (
      FwupdRemote* self,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Parses the signature, updating the metadata URI as appropriate.

This can only be called for remotes with `Keyring=jcat` which is the default for most remotes.

Available since: 1.4.5

#### Parameters

`bytes`

  Type: `GBytes`

  Data blob.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.